package ru.yandex.webmaster3.core.semantic.semantic_document_parser.microdata.transformer;

import ru.yandex.webmaster3.core.semantic.semantic_document_parser.microdata.data.Microdata;

import java.util.LinkedList;
import java.util.List;

/**
 * Created by IntelliJ IDEA.
 * User: rasifiel
 * Date: 7/15/11
 * Time: 2:29 PM
 * To change this template use File | Settings | File Templates.
 */
public class FinalContext implements Context<Microdata> {

    final List<Microdata> results;

    public FinalContext(final List<Microdata> results) {
        this.results = new LinkedList<Microdata>();
        this.results.addAll(results);
    }

    @Override
    public TransformationStep getStep() {
        return TransformationStep.FINAL;
    }

    @Override
    public List<Microdata> getInfo() {
        return results;
    }

    @Override
    public Context<?> nextStep() {
        return this;
    }
}
